#ifndef MOVE_H
#define MOVE_H
using namespace std;
using namespace yarp::dev;
using namespace yarp::os;

/**
 * get arm position via @*robotDevice to @*buff
 */
void getArmPos(PolyDriver *robotDevice, double *buff);

/**
 * make new PolyDrive* with given port name @localPort
 * It's connected to @remotePort  
 */
PolyDriver *makeMoveDriver(string remotePort, string localPort);

/**
 *  set speed of all motor to 80
 */
void maxSpeed(PolyDriver *robotDevice);

/**
 * Move arm to position 
 * when colision is detected process stops
 * @return if colision detected
 */
bool myMoveArm(
    PolyDriver *robotDevice,
    Port *leftHandTouch,
    Port *rightHandTouch,
    Port *leftForearmTouch,
    Port *rightForearmTouch,
    double angles[],
    size_t size);
#endif
